use std::sync::Arc;

use axum::{
    routing::get,
    Router,
};

use crate::models::error::ApiResult;
use crate::AppState;

pub fn router() -> Router<Arc<AppState>> {
    Router::new()
        .route("/", get(query_logs))
        .route("/export", get(export_logs))
}

async fn query_logs() -> ApiResult<impl axum::response::IntoResponse> {
    todo!()
}

async fn export_logs() -> ApiResult<impl axum::response::IntoResponse> {
    todo!()
}
